C This software CHAREXMPL.FOR is part of the Visual Fortran kit.
C
C This software is provided as an example that demonstrates a particular
C feature/function of the licensed product. The software is not intended to
C provide a complete solution to any application problem but rather is provided
C as a teaching mechanism.
C
C Users may incorporate any part of this sample into their own source after 
C making appropriate changes to make it suitable for the intended application.
C
C       CHARACTER DATA TYPE EXAMPLE PROGRAM FOR Visual Fortran
C
	CHARACTER C, ALPHABET*26

	DATA ALPHABET/'ABCDEFGHIJKLMNOPQRSTUVWXYZ'/

	WRITE(6,99)
99      FORMAT('1 CHARACTER EXAMPLE PROGRAM OUTPUT'/)

	DO 100 I=1,26
	
	WRITE(6,10) ALPHABET
10      FORMAT(1X, A)

	ALPHABET = ALPHABET(2:) // ALPHABET(1:1)

100     CONTINUE

	CALL REVERSE(ALPHABET)
	WRITE(6,10) ALPHABET

	CALL REVERSE(ALPHABET(1:13))
	WRITE(6,10) ALPHABET

	CALL FIND_SUBSTRINGS('UVW', ALPHABET)
	CALL FIND_SUBSTRINGS('A', 'DAJHDHAJDAHDJA4E CEUEBCUEIAWSAWQLQ')

	WRITE(6,98)
98      FORMAT('0 END OF CHARACTER EXAMPLE PROGRAM OUTPUT')

	STOP
	END
